Problem installing package "Cannot read property 'prototype' of undefined"


#1

I’ve just tried to install atom-raygun package to try and handle the error pane more effectively but it’s thrown up an error.

Anyone have any ideas? some similar error’s i’ve found talk about problems with the atom-space-pen-views?

I’ve put the error report below.
Thanks

[Enter steps to reproduce below:]



Atom Version: 1.0.0
System: Ubuntu 14.04.2
Thrown From: atom-raygun package, v0.2.1

Stack Trace

Failed to load the atom-raygun package

At Cannot read property ‘prototype’ of undefined

TypeError: Cannot read property ‘prototype’ of undefined
at __extends (/home/james-tt/.atom/packages/atom-raygun/lib/application-list.coffee:4:199)
at /home/james-tt/.atom/packages/atom-raygun/lib/application-list.coffee:11:5
at Object. (/home/james-tt/.atom/packages/atom-raygun/lib/application-list.coffee:65:5)
at Object. (/home/james-tt/.atom/packages/atom-raygun/lib/application-list.coffee:67:4)
at Module._compile (module.js:452:26)
at Object.requireCoffeeScript (/opt/atom/resources/app.asar/node_modules/coffee-cash/lib/coffee-cash.js:85:19)
at Module.load (module.js:347:32)
at Function.Module._load (module.js:302:12)
at Module.require (module.js:357:17)
at require (module.js:376:17)
at Object. (/home/james-tt/.atom/packages/atom-raygun/lib/atom-raygun.coffee:4:21)
at Object. (/home/james-tt/.atom/packages/atom-raygun/lib/atom-raygun.coffee:65:4)
at Module._compile (module.js:452:26)
at Object.requireCoffeeScript (/opt/atom/resources/app.asar/node_modules/coffee-cash/lib/coffee-cash.js:85:19)
at Module.load (module.js:347:32)
at Function.Module._load (module.js:302:12)
Commands

 -1:05.3.0 command-palette:toggle (atom-text-editor.editor.is-focused)

2x -1:01.7.0 core:move-down (atom-text-editor.editor.mini.is-focused)
-1:01.4.0 core:confirm (atom-text-editor.editor.mini.is-focused)
-1:01.4.0 settings-view:uninstall-themes (atom-text-editor.editor)
-0:50.1.0 editor:move-to-first-character-of-line (atom-text-editor.editor.mini.is-focused)
-0:49.3.0 core:confirm (atom-text-editor.editor.mini.is-focused)
7x -0:37.6.0 core:move-down (atom-text-editor.editor.mini.is-focused)
Config

{
“core”: {
“themes”: [
“one-light-ui”,
“one-light-syntax”
],
“disabledPackages”: [
“wrap-guide”,
“atom-prettify”,
“highlight-css-color”,
“highlight-css-color”
],
“projectHome”: “/home/Dropbox/Term 2/”
}
}
Installed Packages

User

atom-beautify, v0.28.7
atom-raygun, v0.2.1
autoclose-html, v0.18.0
color-picker, v2.0.9
language-ejs, v0.2.0
linter, v1.2.3
linter-cpplint, v0.1.4
linter-csslint, v0.0.14
linter-jshint, v0.1.7
linter-tidy, v1.0.1

Dev

No dev packages


#2

Have you reported the error to the atom-raygun repository?